Summary:	Implementation of the AEGIS family of high-performance authenticated ciphers
Summary(pl.UTF-8):	Implementacja rodziny AEGIS wydajnych szyfrów z uwierzytelnieniem
Name:		libaegis
Version:	0.1.23
Release:	1
License:	MIT
Group:		Libraries
#Source0Download: https://github.com/jedisct1/libaegis/releases
Source0:	https://github.com/jedisct1/libaegis/archive/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	2886c4ed062bcdd605eb9d654cdc93e2
Patch0:		%{name}-aes.patch
URL:		https://github.com/jedisct1/libaegis
BuildRequires:	cmake >= 3.9
BuildRequires:	rpmbuild(macros) >= 1.605
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Portable C implementations of the AEGIS
(<https://datatracker.ietf.org/doc/draft-irtf-cfrg-aegis-aead/>)
family of high-performance authenticated ciphers (AEGIS-128L,
AEGIS-128X2, AEGIS-128X4, AEGIS-256, AEGIS-256X2, AEGIS-256X4), with
runtime CPU detection.

%description -l pl.UTF-8
Przenośne, napisane w C implementacje rodziny AEGIS wydajnych szyfrów
z uwierzytelnieniem (AEGIS-128L, AEGIS-128X2, AEGIS-128X4, AEGIS-256,
AEGIS-256X2, AEGIS-256X4), obsługujących wykrywaniem CPU w trakcie
działania.

%package devel
Summary:	Header files for AEGIS library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki AEGIS
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for AEGIS library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki AEGIS.

%prep
%setup -q
%patch0 -p1

%build
install -d build
cd build
%cmake ..

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc LICENSE README.md
%attr(755,root,root) %{_libdir}/libaegis.so

%files devel
%defattr(644,root,root,755)
%{_includedir}/aegis*.h
%{_datadir}/cmake/aegis
%changelog
* Sun Jun 16 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libaegis.git;a=log;h=master

* Sun Jun 16 2024 Jakub Bogusz <qboosh@pld-linux.org> 213d5b2
- updated to 0.1.23

* Sat May 18 2024 Jakub Bogusz <qboosh@pld-linux.org> 9408a39
- added aes patch to fix i686 build with avx512fp16intrin.h (and similar)

* Fri May 17 2024 Jakub Bogusz <qboosh@pld-linux.org> 4ac8380
- new

